AndroidDeviceOwnerEnrollmentProfile を作成する
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい androidDeviceOwnerEnrollmentProfile オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
POST /deviceManagement/androidDeviceOwnerEnrollmentProfiles
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、androidDeviceOwnerEnrollmentProfile オブジェクトの JSON 表記を指定します。
次の表に、androidDeviceOwnerEnrollmentProfile を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| accountId | String | 登録プロファイルが属するテナント GUID。 |
| id | String | 登録プロファイルの一意の GUID。 |
| displayName | String | 登録プロファイルの表示名。 |
| description | String | 登録プロファイルの説明。 |
| enrollmentMode | androidDeviceOwnerEnrollmentMode | この登録プロファイルを使用するデバイスの登録モード。 可能な値は、corporateOwnedDedicatedDevice、corporateOwnedFullyManaged、corporateOwnedWorkProfile、corporateOwnedAOSPUserlessDevice、corporateOwnedAOSPUserAssociatedDevice です。 |
| enrollmentTokenType | androidDeviceOwnerEnrollmentTokenType | 登録プロファイルの登録トークンの種類。 可能な値は、default、corporateOwnedDedicatedDeviceWithAzureADSharedMode です。 |
| createdDateTime | DateTimeOffset | 登録プロファイルが作成された日時。 |
| lastModifiedDateTime | DateTimeOffset | 登録プロファイルが最後に変更された日時。 |
| tokenValue | String | この登録プロファイル用に最後に作成されたトークンの値。 |
| tokenCreationDateTime | DateTimeOffset | 最も最近作成されたトークンが作成された日付。 |
| tokenExpirationDateTime | DateTimeOffset | 最後に作成されたトークンの有効期限が切れる日時。 |
| enrolledDeviceCount | Int32 | この登録プロファイルを使用して登録した Android デバイスの合計数。 |
| enrollmentTokenUsageCount | Int32 | 現在のトークンを使用して登録した AOSP デバイスの総数。 |
| qrCodeContent | String | トークンの QR コードを生成するために使用する文字列。 |
| qrCodeImage | mimeContent | トークンの QR コードを生成するために使用する文字列。 |
| roleScopeTagIds | String コレクション | この Entity インスタンスのスコープ タグの一覧。 |
| wifiSsid | String | wi-fi ログイン ssid を含む文字列 |
| wifiPassword | String | wi-fi ログイン パスワードを含む文字列 |
| wifiSecurityType | aospWifiSecurityType | Wi-Fi セキュリティの種類を含む文字列。 可能な値は none、wpa、wep です。 |
| wifiHidden | ブール型 | 非表示の WiFi ネットワークが有効かどうかを示すブール型 (Boolean) |
応答
成功した場合、このメソッドは応答コードと、応答本文の 201 Created androidDeviceOwnerEnrollmentProfile オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/androidDeviceOwnerEnrollmentProfiles
Content-type: application/json
Content-length: 922
{
"@odata.type": "#microsoft.graph.androidDeviceOwnerEnrollmentProfile",
"accountId": "Account Id value",
"displayName": "Display Name value",
"description": "Description value",
"enrollmentMode": "corporateOwnedFullyManaged",
"enrollmentTokenType": "corporateOwnedDedicatedDeviceWithAzureADSharedMode",
"tokenValue": "Token Value value",
"tokenCreationDateTime": "2017-01-01T00:01:38.5314127-08:00",
"tokenExpirationDateTime": "2016-12-31T23:59:54.0590989-08:00",
"enrolledDeviceCount": 3,
"enrollmentTokenUsageCount": 9,
"qrCodeContent": "Qr Code Content value",
"qrCodeImage": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"wifiSsid": "Wifi Ssid value",
"wifiPassword": "Wifi Password value",
"wifiSecurityType": "wpa",
"wifiHidden": true
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1094
{
"@odata.type": "#microsoft.graph.androidDeviceOwnerEnrollmentProfile",
"accountId": "Account Id value",
"id": "a8d0245e-245e-a8d0-5e24-d0a85e24d0a8",
"displayName": "Display Name value",
"description": "Description value",
"enrollmentMode": "corporateOwnedFullyManaged",
"enrollmentTokenType": "corporateOwnedDedicatedDeviceWithAzureADSharedMode",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"tokenValue": "Token Value value",
"tokenCreationDateTime": "2017-01-01T00:01:38.5314127-08:00",
"tokenExpirationDateTime": "2016-12-31T23:59:54.0590989-08:00",
"enrolledDeviceCount": 3,
"enrollmentTokenUsageCount": 9,
"qrCodeContent": "Qr Code Content value",
"qrCodeImage": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"wifiSsid": "Wifi Ssid value",
"wifiPassword": "Wifi Password value",
"wifiSecurityType": "wpa",
"wifiHidden": true
}
フィードバック
フィードバックの送信と表示